IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network64.2.224.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
- Network address
64.2.224.0- Broadcast address
64.2.255.255- First usable
64.2.224.1- Last usable
64.2.255.254- Usable hosts
- 8,190 (8,192 less the network and broadcast addresses)
- Subnet mask
255.255.224.0- Wildcard mask
0.0.31.255(Cisco ACLs, OSPF)- Prefix length
- /19
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
4002E000· Integer1073930240to1073938431 - Reverse DNS zones
224.2.64.in-addr.arpa225.2.64.in-addr.arpa226.2.64.in-addr.arpa227.2.64.in-addr.arpa228.2.64.in-addr.arpa229.2.64.in-addr.arpa230.2.64.in-addr.arpa231.2.64.in-addr.arpa232.2.64.in-addr.arpa233.2.64.in-addr.arpa234.2.64.in-addr.arpa235.2.64.in-addr.arpa236.2.64.in-addr.arpa237.2.64.in-addr.arpa238.2.64.in-addr.arpa239.2.64.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01000000.00000010.11100000.00000000 | 64.2.224.0 |
| Subnet mask | 11111111.11111111.11100000.00000000 | 255.255.224.0 |
| Network | 01000000.00000010.11100000.00000000 | 64.2.224.0 |
| Broadcast | 01000000.00000010.11111111.11111111 | 64.2.255.255 |
Split into smaller subnets
/20 (2)/21 (4)/22 (8)/23 (16)/24 (32)/25 (64)/26 (128)/27 (256)/28 (512)/29 (1,024)/30 (2,048)/31 (4,096)
64.2.224.0/19 makes 4,096 subnets of /31; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 64.2.224.0/31 | 64.2.224.0 to 64.2.224.1 | — | 2 |
| 2 | 64.2.224.2/31 | 64.2.224.2 to 64.2.224.3 | — | 2 |
| 3 | 64.2.224.4/31 | 64.2.224.4 to 64.2.224.5 | — | 2 |
| 4 | 64.2.224.6/31 | 64.2.224.6 to 64.2.224.7 | — | 2 |
| 5 | 64.2.224.8/31 | 64.2.224.8 to 64.2.224.9 | — | 2 |
| 6 | 64.2.224.10/31 | 64.2.224.10 to 64.2.224.11 | — | 2 |
| 7 | 64.2.224.12/31 | 64.2.224.12 to 64.2.224.13 | — | 2 |
| 8 | 64.2.224.14/31 | 64.2.224.14 to 64.2.224.15 | — | 2 |
| 9 | 64.2.224.16/31 | 64.2.224.16 to 64.2.224.17 | — | 2 |
| 10 | 64.2.224.18/31 | 64.2.224.18 to 64.2.224.19 | — | 2 |
| 11 | 64.2.224.20/31 | 64.2.224.20 to 64.2.224.21 | — | 2 |
| 12 | 64.2.224.22/31 | 64.2.224.22 to 64.2.224.23 | — | 2 |
| 13 | 64.2.224.24/31 | 64.2.224.24 to 64.2.224.25 | — | 2 |
| 14 | 64.2.224.26/31 | 64.2.224.26 to 64.2.224.27 | — | 2 |
| 15 | 64.2.224.28/31 | 64.2.224.28 to 64.2.224.29 | — | 2 |
| 16 | 64.2.224.30/31 | 64.2.224.30 to 64.2.224.31 | — | 2 |
| 17 | 64.2.224.32/31 | 64.2.224.32 to 64.2.224.33 | — | 2 |
| 18 | 64.2.224.34/31 | 64.2.224.34 to 64.2.224.35 | — | 2 |
| 19 | 64.2.224.36/31 | 64.2.224.36 to 64.2.224.37 | — | 2 |
| 20 | 64.2.224.38/31 | 64.2.224.38 to 64.2.224.39 | — | 2 |
| 21 | 64.2.224.40/31 | 64.2.224.40 to 64.2.224.41 | — | 2 |
| 22 | 64.2.224.42/31 | 64.2.224.42 to 64.2.224.43 | — | 2 |
| 23 | 64.2.224.44/31 | 64.2.224.44 to 64.2.224.45 | — | 2 |
| 24 | 64.2.224.46/31 | 64.2.224.46 to 64.2.224.47 | — | 2 |
| 25 | 64.2.224.48/31 | 64.2.224.48 to 64.2.224.49 | — | 2 |
| 26 | 64.2.224.50/31 | 64.2.224.50 to 64.2.224.51 | — | 2 |
| 27 | 64.2.224.52/31 | 64.2.224.52 to 64.2.224.53 | — | 2 |
| 28 | 64.2.224.54/31 | 64.2.224.54 to 64.2.224.55 | — | 2 |
| 29 | 64.2.224.56/31 | 64.2.224.56 to 64.2.224.57 | — | 2 |
| 30 | 64.2.224.58/31 | 64.2.224.58 to 64.2.224.59 | — | 2 |
| 31 | 64.2.224.60/31 | 64.2.224.60 to 64.2.224.61 | — | 2 |
| 32 | 64.2.224.62/31 | 64.2.224.62 to 64.2.224.63 | — | 2 |
| 33 | 64.2.224.64/31 | 64.2.224.64 to 64.2.224.65 | — | 2 |
| 34 | 64.2.224.66/31 | 64.2.224.66 to 64.2.224.67 | — | 2 |
| 35 | 64.2.224.68/31 | 64.2.224.68 to 64.2.224.69 | — | 2 |
| 36 | 64.2.224.70/31 | 64.2.224.70 to 64.2.224.71 | — | 2 |
| 37 | 64.2.224.72/31 | 64.2.224.72 to 64.2.224.73 | — | 2 |
| 38 | 64.2.224.74/31 | 64.2.224.74 to 64.2.224.75 | — | 2 |
| 39 | 64.2.224.76/31 | 64.2.224.76 to 64.2.224.77 | — | 2 |
| 40 | 64.2.224.78/31 | 64.2.224.78 to 64.2.224.79 | — | 2 |
| 41 | 64.2.224.80/31 | 64.2.224.80 to 64.2.224.81 | — | 2 |
| 42 | 64.2.224.82/31 | 64.2.224.82 to 64.2.224.83 | — | 2 |
| 43 | 64.2.224.84/31 | 64.2.224.84 to 64.2.224.85 | — | 2 |
| 44 | 64.2.224.86/31 | 64.2.224.86 to 64.2.224.87 | — | 2 |
| 45 | 64.2.224.88/31 | 64.2.224.88 to 64.2.224.89 | — | 2 |
| 46 | 64.2.224.90/31 | 64.2.224.90 to 64.2.224.91 | — | 2 |
| 47 | 64.2.224.92/31 | 64.2.224.92 to 64.2.224.93 | — | 2 |
| 48 | 64.2.224.94/31 | 64.2.224.94 to 64.2.224.95 | — | 2 |
| 49 | 64.2.224.96/31 | 64.2.224.96 to 64.2.224.97 | — | 2 |
| 50 | 64.2.224.98/31 | 64.2.224.98 to 64.2.224.99 | — | 2 |
| 51 | 64.2.224.100/31 | 64.2.224.100 to 64.2.224.101 | — | 2 |
| 52 | 64.2.224.102/31 | 64.2.224.102 to 64.2.224.103 | — | 2 |
| 53 | 64.2.224.104/31 | 64.2.224.104 to 64.2.224.105 | — | 2 |
| 54 | 64.2.224.106/31 | 64.2.224.106 to 64.2.224.107 | — | 2 |
| 55 | 64.2.224.108/31 | 64.2.224.108 to 64.2.224.109 | — | 2 |
| 56 | 64.2.224.110/31 | 64.2.224.110 to 64.2.224.111 | — | 2 |
| 57 | 64.2.224.112/31 | 64.2.224.112 to 64.2.224.113 | — | 2 |
| 58 | 64.2.224.114/31 | 64.2.224.114 to 64.2.224.115 | — | 2 |
| 59 | 64.2.224.116/31 | 64.2.224.116 to 64.2.224.117 | — | 2 |
| 60 | 64.2.224.118/31 | 64.2.224.118 to 64.2.224.119 | — | 2 |
| 61 | 64.2.224.120/31 | 64.2.224.120 to 64.2.224.121 | — | 2 |
| 62 | 64.2.224.122/31 | 64.2.224.122 to 64.2.224.123 | — | 2 |
| 63 | 64.2.224.124/31 | 64.2.224.124 to 64.2.224.125 | — | 2 |
| 64 | 64.2.224.126/31 | 64.2.224.126 to 64.2.224.127 | — | 2 |
| 65 | 64.2.224.128/31 | 64.2.224.128 to 64.2.224.129 | — | 2 |
| 66 | 64.2.224.130/31 | 64.2.224.130 to 64.2.224.131 | — | 2 |
| 67 | 64.2.224.132/31 | 64.2.224.132 to 64.2.224.133 | — | 2 |
| 68 | 64.2.224.134/31 | 64.2.224.134 to 64.2.224.135 | — | 2 |
| 69 | 64.2.224.136/31 | 64.2.224.136 to 64.2.224.137 | — | 2 |
| 70 | 64.2.224.138/31 | 64.2.224.138 to 64.2.224.139 | — | 2 |
| 71 | 64.2.224.140/31 | 64.2.224.140 to 64.2.224.141 | — | 2 |
| 72 | 64.2.224.142/31 | 64.2.224.142 to 64.2.224.143 | — | 2 |
| 73 | 64.2.224.144/31 | 64.2.224.144 to 64.2.224.145 | — | 2 |
| 74 | 64.2.224.146/31 | 64.2.224.146 to 64.2.224.147 | — | 2 |
| 75 | 64.2.224.148/31 | 64.2.224.148 to 64.2.224.149 | — | 2 |
| 76 | 64.2.224.150/31 | 64.2.224.150 to 64.2.224.151 | — | 2 |
| 77 | 64.2.224.152/31 | 64.2.224.152 to 64.2.224.153 | — | 2 |
| 78 | 64.2.224.154/31 | 64.2.224.154 to 64.2.224.155 | — | 2 |
| 79 | 64.2.224.156/31 | 64.2.224.156 to 64.2.224.157 | — | 2 |
| 80 | 64.2.224.158/31 | 64.2.224.158 to 64.2.224.159 | — | 2 |
| 81 | 64.2.224.160/31 | 64.2.224.160 to 64.2.224.161 | — | 2 |
| 82 | 64.2.224.162/31 | 64.2.224.162 to 64.2.224.163 | — | 2 |
| 83 | 64.2.224.164/31 | 64.2.224.164 to 64.2.224.165 | — | 2 |
| 84 | 64.2.224.166/31 | 64.2.224.166 to 64.2.224.167 | — | 2 |
| 85 | 64.2.224.168/31 | 64.2.224.168 to 64.2.224.169 | — | 2 |
| 86 | 64.2.224.170/31 | 64.2.224.170 to 64.2.224.171 | — | 2 |
| 87 | 64.2.224.172/31 | 64.2.224.172 to 64.2.224.173 | — | 2 |
| 88 | 64.2.224.174/31 | 64.2.224.174 to 64.2.224.175 | — | 2 |
| 89 | 64.2.224.176/31 | 64.2.224.176 to 64.2.224.177 | — | 2 |
| 90 | 64.2.224.178/31 | 64.2.224.178 to 64.2.224.179 | — | 2 |
| 91 | 64.2.224.180/31 | 64.2.224.180 to 64.2.224.181 | — | 2 |
| 92 | 64.2.224.182/31 | 64.2.224.182 to 64.2.224.183 | — | 2 |
| 93 | 64.2.224.184/31 | 64.2.224.184 to 64.2.224.185 | — | 2 |
| 94 | 64.2.224.186/31 | 64.2.224.186 to 64.2.224.187 | — | 2 |
| 95 | 64.2.224.188/31 | 64.2.224.188 to 64.2.224.189 | — | 2 |
| 96 | 64.2.224.190/31 | 64.2.224.190 to 64.2.224.191 | — | 2 |
| 97 | 64.2.224.192/31 | 64.2.224.192 to 64.2.224.193 | — | 2 |
| 98 | 64.2.224.194/31 | 64.2.224.194 to 64.2.224.195 | — | 2 |
| 99 | 64.2.224.196/31 | 64.2.224.196 to 64.2.224.197 | — | 2 |
| 100 | 64.2.224.198/31 | 64.2.224.198 to 64.2.224.199 | — | 2 |
| 101 | 64.2.224.200/31 | 64.2.224.200 to 64.2.224.201 | — | 2 |
| 102 | 64.2.224.202/31 | 64.2.224.202 to 64.2.224.203 | — | 2 |
| 103 | 64.2.224.204/31 | 64.2.224.204 to 64.2.224.205 | — | 2 |
| 104 | 64.2.224.206/31 | 64.2.224.206 to 64.2.224.207 | — | 2 |
| 105 | 64.2.224.208/31 | 64.2.224.208 to 64.2.224.209 | — | 2 |
| 106 | 64.2.224.210/31 | 64.2.224.210 to 64.2.224.211 | — | 2 |
| 107 | 64.2.224.212/31 | 64.2.224.212 to 64.2.224.213 | — | 2 |
| 108 | 64.2.224.214/31 | 64.2.224.214 to 64.2.224.215 | — | 2 |
| 109 | 64.2.224.216/31 | 64.2.224.216 to 64.2.224.217 | — | 2 |
| 110 | 64.2.224.218/31 | 64.2.224.218 to 64.2.224.219 | — | 2 |
| 111 | 64.2.224.220/31 | 64.2.224.220 to 64.2.224.221 | — | 2 |
| 112 | 64.2.224.222/31 | 64.2.224.222 to 64.2.224.223 | — | 2 |
| 113 | 64.2.224.224/31 | 64.2.224.224 to 64.2.224.225 | — | 2 |
| 114 | 64.2.224.226/31 | 64.2.224.226 to 64.2.224.227 | — | 2 |
| 115 | 64.2.224.228/31 | 64.2.224.228 to 64.2.224.229 | — | 2 |
| 116 | 64.2.224.230/31 | 64.2.224.230 to 64.2.224.231 | — | 2 |
| 117 | 64.2.224.232/31 | 64.2.224.232 to 64.2.224.233 | — | 2 |
| 118 | 64.2.224.234/31 | 64.2.224.234 to 64.2.224.235 | — | 2 |
| 119 | 64.2.224.236/31 | 64.2.224.236 to 64.2.224.237 | — | 2 |
| 120 | 64.2.224.238/31 | 64.2.224.238 to 64.2.224.239 | — | 2 |
| 121 | 64.2.224.240/31 | 64.2.224.240 to 64.2.224.241 | — | 2 |
| 122 | 64.2.224.242/31 | 64.2.224.242 to 64.2.224.243 | — | 2 |
| 123 | 64.2.224.244/31 | 64.2.224.244 to 64.2.224.245 | — | 2 |
| 124 | 64.2.224.246/31 | 64.2.224.246 to 64.2.224.247 | — | 2 |
| 125 | 64.2.224.248/31 | 64.2.224.248 to 64.2.224.249 | — | 2 |
| 126 | 64.2.224.250/31 | 64.2.224.250 to 64.2.224.251 | — | 2 |
| 127 | 64.2.224.252/31 | 64.2.224.252 to 64.2.224.253 | — | 2 |
| 128 | 64.2.224.254/31 | 64.2.224.254 to 64.2.224.255 | — | 2 |
| 129 | 64.2.225.0/31 | 64.2.225.0 to 64.2.225.1 | — | 2 |
| 130 | 64.2.225.2/31 | 64.2.225.2 to 64.2.225.3 | — | 2 |
| 131 | 64.2.225.4/31 | 64.2.225.4 to 64.2.225.5 | — | 2 |
| 132 | 64.2.225.6/31 | 64.2.225.6 to 64.2.225.7 | — | 2 |
| 133 | 64.2.225.8/31 | 64.2.225.8 to 64.2.225.9 | — | 2 |
| 134 | 64.2.225.10/31 | 64.2.225.10 to 64.2.225.11 | — | 2 |
| 135 | 64.2.225.12/31 | 64.2.225.12 to 64.2.225.13 | — | 2 |
| 136 | 64.2.225.14/31 | 64.2.225.14 to 64.2.225.15 | — | 2 |
| 137 | 64.2.225.16/31 | 64.2.225.16 to 64.2.225.17 | — | 2 |
| 138 | 64.2.225.18/31 | 64.2.225.18 to 64.2.225.19 | — | 2 |
| 139 | 64.2.225.20/31 | 64.2.225.20 to 64.2.225.21 | — | 2 |
| 140 | 64.2.225.22/31 | 64.2.225.22 to 64.2.225.23 | — | 2 |
| 141 | 64.2.225.24/31 | 64.2.225.24 to 64.2.225.25 | — | 2 |
| 142 | 64.2.225.26/31 | 64.2.225.26 to 64.2.225.27 | — | 2 |
| 143 | 64.2.225.28/31 | 64.2.225.28 to 64.2.225.29 | — | 2 |
| 144 | 64.2.225.30/31 | 64.2.225.30 to 64.2.225.31 | — | 2 |
| 145 | 64.2.225.32/31 | 64.2.225.32 to 64.2.225.33 | — | 2 |
| 146 | 64.2.225.34/31 | 64.2.225.34 to 64.2.225.35 | — | 2 |
| 147 | 64.2.225.36/31 | 64.2.225.36 to 64.2.225.37 | — | 2 |
| 148 | 64.2.225.38/31 | 64.2.225.38 to 64.2.225.39 | — | 2 |
| 149 | 64.2.225.40/31 | 64.2.225.40 to 64.2.225.41 | — | 2 |
| 150 | 64.2.225.42/31 | 64.2.225.42 to 64.2.225.43 | — | 2 |
| 151 | 64.2.225.44/31 | 64.2.225.44 to 64.2.225.45 | — | 2 |
| 152 | 64.2.225.46/31 | 64.2.225.46 to 64.2.225.47 | — | 2 |
| 153 | 64.2.225.48/31 | 64.2.225.48 to 64.2.225.49 | — | 2 |
| 154 | 64.2.225.50/31 | 64.2.225.50 to 64.2.225.51 | — | 2 |
| 155 | 64.2.225.52/31 | 64.2.225.52 to 64.2.225.53 | — | 2 |
| 156 | 64.2.225.54/31 | 64.2.225.54 to 64.2.225.55 | — | 2 |
| 157 | 64.2.225.56/31 | 64.2.225.56 to 64.2.225.57 | — | 2 |
| 158 | 64.2.225.58/31 | 64.2.225.58 to 64.2.225.59 | — | 2 |
| 159 | 64.2.225.60/31 | 64.2.225.60 to 64.2.225.61 | — | 2 |
| 160 | 64.2.225.62/31 | 64.2.225.62 to 64.2.225.63 | — | 2 |
| 161 | 64.2.225.64/31 | 64.2.225.64 to 64.2.225.65 | — | 2 |
| 162 | 64.2.225.66/31 | 64.2.225.66 to 64.2.225.67 | — | 2 |
| 163 | 64.2.225.68/31 | 64.2.225.68 to 64.2.225.69 | — | 2 |
| 164 | 64.2.225.70/31 | 64.2.225.70 to 64.2.225.71 | — | 2 |
| 165 | 64.2.225.72/31 | 64.2.225.72 to 64.2.225.73 | — | 2 |
| 166 | 64.2.225.74/31 | 64.2.225.74 to 64.2.225.75 | — | 2 |
| 167 | 64.2.225.76/31 | 64.2.225.76 to 64.2.225.77 | — | 2 |
| 168 | 64.2.225.78/31 | 64.2.225.78 to 64.2.225.79 | — | 2 |
| 169 | 64.2.225.80/31 | 64.2.225.80 to 64.2.225.81 | — | 2 |
| 170 | 64.2.225.82/31 | 64.2.225.82 to 64.2.225.83 | — | 2 |
| 171 | 64.2.225.84/31 | 64.2.225.84 to 64.2.225.85 | — | 2 |
| 172 | 64.2.225.86/31 | 64.2.225.86 to 64.2.225.87 | — | 2 |
| 173 | 64.2.225.88/31 | 64.2.225.88 to 64.2.225.89 | — | 2 |
| 174 | 64.2.225.90/31 | 64.2.225.90 to 64.2.225.91 | — | 2 |
| 175 | 64.2.225.92/31 | 64.2.225.92 to 64.2.225.93 | — | 2 |
| 176 | 64.2.225.94/31 | 64.2.225.94 to 64.2.225.95 | — | 2 |
| 177 | 64.2.225.96/31 | 64.2.225.96 to 64.2.225.97 | — | 2 |
| 178 | 64.2.225.98/31 | 64.2.225.98 to 64.2.225.99 | — | 2 |
| 179 | 64.2.225.100/31 | 64.2.225.100 to 64.2.225.101 | — | 2 |
| 180 | 64.2.225.102/31 | 64.2.225.102 to 64.2.225.103 | — | 2 |
| 181 | 64.2.225.104/31 | 64.2.225.104 to 64.2.225.105 | — | 2 |
| 182 | 64.2.225.106/31 | 64.2.225.106 to 64.2.225.107 | — | 2 |
| 183 | 64.2.225.108/31 | 64.2.225.108 to 64.2.225.109 | — | 2 |
| 184 | 64.2.225.110/31 | 64.2.225.110 to 64.2.225.111 | — | 2 |
| 185 | 64.2.225.112/31 | 64.2.225.112 to 64.2.225.113 | — | 2 |
| 186 | 64.2.225.114/31 | 64.2.225.114 to 64.2.225.115 | — | 2 |
| 187 | 64.2.225.116/31 | 64.2.225.116 to 64.2.225.117 | — | 2 |
| 188 | 64.2.225.118/31 | 64.2.225.118 to 64.2.225.119 | — | 2 |
| 189 | 64.2.225.120/31 | 64.2.225.120 to 64.2.225.121 | — | 2 |
| 190 | 64.2.225.122/31 | 64.2.225.122 to 64.2.225.123 | — | 2 |
| 191 | 64.2.225.124/31 | 64.2.225.124 to 64.2.225.125 | — | 2 |
| 192 | 64.2.225.126/31 | 64.2.225.126 to 64.2.225.127 | — | 2 |
| 193 | 64.2.225.128/31 | 64.2.225.128 to 64.2.225.129 | — | 2 |
| 194 | 64.2.225.130/31 | 64.2.225.130 to 64.2.225.131 | — | 2 |
| 195 | 64.2.225.132/31 | 64.2.225.132 to 64.2.225.133 | — | 2 |
| 196 | 64.2.225.134/31 | 64.2.225.134 to 64.2.225.135 | — | 2 |
| 197 | 64.2.225.136/31 | 64.2.225.136 to 64.2.225.137 | — | 2 |
| 198 | 64.2.225.138/31 | 64.2.225.138 to 64.2.225.139 | — | 2 |
| 199 | 64.2.225.140/31 | 64.2.225.140 to 64.2.225.141 | — | 2 |
| 200 | 64.2.225.142/31 | 64.2.225.142 to 64.2.225.143 | — | 2 |
| 201 | 64.2.225.144/31 | 64.2.225.144 to 64.2.225.145 | — | 2 |
| 202 | 64.2.225.146/31 | 64.2.225.146 to 64.2.225.147 | — | 2 |
| 203 | 64.2.225.148/31 | 64.2.225.148 to 64.2.225.149 | — | 2 |
| 204 | 64.2.225.150/31 | 64.2.225.150 to 64.2.225.151 | — | 2 |
| 205 | 64.2.225.152/31 | 64.2.225.152 to 64.2.225.153 | — | 2 |
| 206 | 64.2.225.154/31 | 64.2.225.154 to 64.2.225.155 | — | 2 |
| 207 | 64.2.225.156/31 | 64.2.225.156 to 64.2.225.157 | — | 2 |
| 208 | 64.2.225.158/31 | 64.2.225.158 to 64.2.225.159 | — | 2 |
| 209 | 64.2.225.160/31 | 64.2.225.160 to 64.2.225.161 | — | 2 |
| 210 | 64.2.225.162/31 | 64.2.225.162 to 64.2.225.163 | — | 2 |
| 211 | 64.2.225.164/31 | 64.2.225.164 to 64.2.225.165 | — | 2 |
| 212 | 64.2.225.166/31 | 64.2.225.166 to 64.2.225.167 | — | 2 |
| 213 | 64.2.225.168/31 | 64.2.225.168 to 64.2.225.169 | — | 2 |
| 214 | 64.2.225.170/31 | 64.2.225.170 to 64.2.225.171 | — | 2 |
| 215 | 64.2.225.172/31 | 64.2.225.172 to 64.2.225.173 | — | 2 |
| 216 | 64.2.225.174/31 | 64.2.225.174 to 64.2.225.175 | — | 2 |
| 217 | 64.2.225.176/31 | 64.2.225.176 to 64.2.225.177 | — | 2 |
| 218 | 64.2.225.178/31 | 64.2.225.178 to 64.2.225.179 | — | 2 |
| 219 | 64.2.225.180/31 | 64.2.225.180 to 64.2.225.181 | — | 2 |
| 220 | 64.2.225.182/31 | 64.2.225.182 to 64.2.225.183 | — | 2 |
| 221 | 64.2.225.184/31 | 64.2.225.184 to 64.2.225.185 | — | 2 |
| 222 | 64.2.225.186/31 | 64.2.225.186 to 64.2.225.187 | — | 2 |
| 223 | 64.2.225.188/31 | 64.2.225.188 to 64.2.225.189 | — | 2 |
| 224 | 64.2.225.190/31 | 64.2.225.190 to 64.2.225.191 | — | 2 |
| 225 | 64.2.225.192/31 | 64.2.225.192 to 64.2.225.193 | — | 2 |
| 226 | 64.2.225.194/31 | 64.2.225.194 to 64.2.225.195 | — | 2 |
| 227 | 64.2.225.196/31 | 64.2.225.196 to 64.2.225.197 | — | 2 |
| 228 | 64.2.225.198/31 | 64.2.225.198 to 64.2.225.199 | — | 2 |
| 229 | 64.2.225.200/31 | 64.2.225.200 to 64.2.225.201 | — | 2 |
| 230 | 64.2.225.202/31 | 64.2.225.202 to 64.2.225.203 | — | 2 |
| 231 | 64.2.225.204/31 | 64.2.225.204 to 64.2.225.205 | — | 2 |
| 232 | 64.2.225.206/31 | 64.2.225.206 to 64.2.225.207 | — | 2 |
| 233 | 64.2.225.208/31 | 64.2.225.208 to 64.2.225.209 | — | 2 |
| 234 | 64.2.225.210/31 | 64.2.225.210 to 64.2.225.211 | — | 2 |
| 235 | 64.2.225.212/31 | 64.2.225.212 to 64.2.225.213 | — | 2 |
| 236 | 64.2.225.214/31 | 64.2.225.214 to 64.2.225.215 | — | 2 |
| 237 | 64.2.225.216/31 | 64.2.225.216 to 64.2.225.217 | — | 2 |
| 238 | 64.2.225.218/31 | 64.2.225.218 to 64.2.225.219 | — | 2 |
| 239 | 64.2.225.220/31 | 64.2.225.220 to 64.2.225.221 | — | 2 |
| 240 | 64.2.225.222/31 | 64.2.225.222 to 64.2.225.223 | — | 2 |
| 241 | 64.2.225.224/31 | 64.2.225.224 to 64.2.225.225 | — | 2 |
| 242 | 64.2.225.226/31 | 64.2.225.226 to 64.2.225.227 | — | 2 |
| 243 | 64.2.225.228/31 | 64.2.225.228 to 64.2.225.229 | — | 2 |
| 244 | 64.2.225.230/31 | 64.2.225.230 to 64.2.225.231 | — | 2 |
| 245 | 64.2.225.232/31 | 64.2.225.232 to 64.2.225.233 | — | 2 |
| 246 | 64.2.225.234/31 | 64.2.225.234 to 64.2.225.235 | — | 2 |
| 247 | 64.2.225.236/31 | 64.2.225.236 to 64.2.225.237 | — | 2 |
| 248 | 64.2.225.238/31 | 64.2.225.238 to 64.2.225.239 | — | 2 |
| 249 | 64.2.225.240/31 | 64.2.225.240 to 64.2.225.241 | — | 2 |
| 250 | 64.2.225.242/31 | 64.2.225.242 to 64.2.225.243 | — | 2 |
| 251 | 64.2.225.244/31 | 64.2.225.244 to 64.2.225.245 | — | 2 |
| 252 | 64.2.225.246/31 | 64.2.225.246 to 64.2.225.247 | — | 2 |
| 253 | 64.2.225.248/31 | 64.2.225.248 to 64.2.225.249 | — | 2 |
| 254 | 64.2.225.250/31 | 64.2.225.250 to 64.2.225.251 | — | 2 |
| 255 | 64.2.225.252/31 | 64.2.225.252 to 64.2.225.253 | — | 2 |
| 256 | 64.2.225.254/31 | 64.2.225.254 to 64.2.225.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |